﻿using SqlSugar;
using System;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 数据表基类
    /// </summary>
    public abstract class SugarBasicTable2
    {
        /// <summary>
        /// 主键 默认GUID 382c74c3-721d-4f34-80e5-57657b6cbc27
        /// </summary>
        [SugarColumn(IsPrimaryKey = true,ColumnDescription = "主键")]
        [MaxLength(36)]
        public string Id { get; set; } = Guid.NewGuid().ToString();
        /// <summary>
        /// 创建时间
        /// </summary>
        [Required]
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; } = DateTime.Now;
    }
}
